godo.BatchInference.ListJobs()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.BatchInference.ListJobs(ctx context.Context, opts *godo.ListBatchesOptions) (*godo.ListBatchesResponse, *godo.Response, error)Description
ListJobs returns a list of batch inference jobs with optional filtering and pagination.
This method sends a GET request to /v1/batches.
Parameters
opts*godo.ListBatchesOptions
Fields of godo.ListBatchesOptions
ListBatchesOptions specifies optional query parameters for listing batch jobs.
AfterstringLimitintStatusstring
Returns
- *godo.ListBatchesResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ListBatchesResponse
ListBatchesResponse is returned by GET /v1/batches.
Uses Relay-style cursor pagination.
Edges[]godo.BatchEdgePageInfogodo.BatchPageInfo
Request Sample
More Information
See GET /v1/batches in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.